
class Employee
{
    protected double salary;
    public Employee(double sal)
    {
        salary = sal;
    }
    public double getSalary()
    {
        return salary;
    }
    public void increase()
    {
        salary *= 1.05;
    }
}

class Manager : Employee
{
    public Manager(double sal)
        : base(sal)
    {
    }
    public void increase()
    {
        salary += 10000;
    }
}

class Secretary : Employee
{
    public Secretary(double sal)
        : base(sal)
    {
    }
    public void increase()
    {
        salary *= 1.10;
    }
}